Bug 2141984 - Review Request: java-1.8.0-openjdk-portable - reusable OpenJDK 1.8.0 tarball
Summary: Review Request: java-1.8.0-openjdk-portable - reusable OpenJDK 1.8.0 tarball
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petra Alice Mikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-11 10:49 UTC by jandrlik
Modified: 2023-02-03 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-03 15:57:15 UTC
Type: ---
Embargoed:
pmikova: fedora-review+


Attachments (Terms of Use)

Description jandrlik 2022-11-11 10:49:19 UTC
Spec URL: https://jandrlik.fedorapeople.org/java-1.8.0-openjdk-portable.spec
SRPM URL: https://jandrlik.fedorapeople.org/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.src.rpm
Description: package to split OpenJDK integration from build and binary itself.
Fedora Account System Username: jandrlik

Comment 1 jandrlik 2022-11-11 10:52:44 UTC
with: --without slowdebug --without fastdebug

java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.x86_64.rpm
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.debuginfo.jre.x86_64.tar.xz
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.debuginfo.jre.x86_64.tar.xz.sha256sum
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.jre.x86_64.tar.xz
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.jre.x86_64.tar.xz.sha256sum
java-1.8.0-openjdk-portable-devel-1.8.0.352.b08-1.fc36.x86_64.rpm
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.debuginfo.jdk.x86_64.tar.xz
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.debuginfo.jdk.x86_64.tar.xz.sha256sum
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.jdk.x86_64.tar.xz
/usr/lib/jvm/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.portable.jdk.x86_64.tar.xz.sha256sum

Comment 2 Petra Alice Mikova 2022-11-28 16:39:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[-]: Package contains no static executables.

Jdk is portable as for https://fedoraproject.org/wiki/Changes/JdkInTreeLibsAndStdclibStatic#Build_all_JDKs_in_Fedora_against_in-tree_libraries_and_with_static_stdc.2B.2Blib

[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

License missing in the proper path

[-]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "GNU General Public License v3.0 or
     later", "Unknown or generated", "GNU Affero General Public License
     v3.0 or later", "*No copyright* GNU General Public License, Version
     2", "GNU General Public License, Version 2", "GNU General Public
     License v2.0 only", "BSD 3-Clause License", "FSF Unlimited License
     [generated file]", "Common Development and Distribution License", "*No
     copyright* BSD 3-Clause License", "*No copyright* GNU General Public
     License v2.0 only", "GNU General Public License v2.0 or later GNU
     General Public License v2.0 only [generated file]", "GNU General
     Public License v2.0 or later GNU General Public License v2.0 only",
     "*No copyright* [generated file]", "GNU General Public License,
     Version 3", "*No copyright* Public domain GNU General Public License
     v2.0 only", "*No copyright* Public domain GNU General Public License
     v2.0 only [generated file]", "GNU General Public License v2.0 only
     [generated file]", "Universal Permissive License v1.0", "W3C License
     GNU General Public License v2.0 only", "Sax Public Domain Notice
     Public domain", "GNU General Public License v2.0 or later", "W3C
     Software Notice and License (1998-07-20)", "BSD 3-Clause License GNU
     General Public License v2.0 only", "Public domain GNU General Public
     License v2.0 only", "BSD 3-Clause License [generated file]",
     "Historical Permission Notice and Disclaimer - sell variant", "MIT
     Open Group variant GNU General Public License v2.0 only", "Apache
     License 2.0", "MIT License", "*No copyright* MIT License GNU General
     Public License v2.0 only", "MIT License GNU General Public License
     v2.0 only", "libpng License GNU General Public License v2.0 only",
     "*No copyright* Apache License 2.0", "Apache License 1.1", "Apache
     License 1.1 GNU General Public License v2.0 only", "Unicode License
     Agreement - Data Files and Software (2015) GNU General Public License
     v2.0 only", "zlib License", "zlib License GNU General Public License
     v2.0 only", "Khronos License GNU General Public License v2.0 only",
     "GNU Lesser General Public License v2.1 or later", "BSD 3-Clause
     License GNU General Public License v3.0 or later", "*No copyright* MIT
     License", "NTP License", "W3C License". 6119 files have unknown
     license. Detailed output of licensecheck in
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.

License missing

[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/jvm
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code:
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/upstream-
     unpacked/Source0/openjdk/jdk/src/share/native/java/lang/fdlibm/include,
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/upstream-
     unpacked/Source0/openjdk/jaxp/src/org/xml/sax/ext,
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/upstream-
     unpacked/Source0/openjdk/jaxws/src/share/jaxws_classes/com/sun/org/glassfish/external,
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/upstream-
     unpacked/Source0/openjdk/jdk/src/share/classes/com/sun/jndi/ldap/ext,
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/upstream-
     unpacked/Source0/openjdk/jdk/src/share/classes/sun/nio/cs/ext,
     /home/pmikova/fedora_repos/fedora-reviews/portable/portable-
     copy/2141984-java-1.8.0-openjdk-portable/upstream-
     unpacked/Source0/openjdk/jdk/src/solaris/classes/sun/nio/cs/ext
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     java-1.8.0-openjdk-portable-devel , java-1.8.0-openjdk-portable-
     slowdebug , java-1.8.0-openjdk-portable-devel-slowdebug ,
     java-1.8.0-openjdk-portable-fastdebug , java-1.8.0-openjdk-portable-
     devel-fastdebug
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define debug_package %{nil},
     %define _lto_cflags %{nil}, %define buildoutputdir()
     %{expand:build/jdk8.build%{?1}}, %define installoutputdir()
     %{expand:install/jdk8.install%{?1}}, %define uniquejavadocdir()
     %{expand:%{fullversion}%{?1}}, %define uniquesuffix()
     %{expand:%{fullversion}.%{_arch}%{?1}}, %define jreportablenameimpl()
     %(echo %{uniquesuffix ""} | sed
     "s;el7\\(_[0-9]\\)*;portable%{1}.jre.;g" | sed
     "s;openjdkportable;el;g"), %define jdkportablenameimpl() %(echo
     %{uniquesuffix ""} | sed "s;el7\\(_[0-9]\\)*;portable%{1}.jdk.;g" |
     sed "s;openjdkportable;el;g"), %define jreportablenameimpl() %(echo
     %{uniquesuffix ""} | sed "s;fc\\([0-9]\\)*;\\0.portable%{1}.jre;g" |
     sed "s;openjdkportable;el;g"), %define jdkportablenameimpl() %(echo
     %{uniquesuffix ""} | sed "s;fc\\([0-9]\\)*;\\0.portable%{1}.jdk;g" |
     sed "s;openjdkportable;el;g"), %define jreportablearchive()
     %{expand:%{jreportablenameimpl -- %%{1}}.tar.xz}, %define
     jdkportablearchive() %{expand:%{jdkportablenameimpl -- %%{1}}.tar.xz},
     %define jreportablename() %{expand:%{jreportablenameimpl -- %%{1}}},
     %define jdkportablename() %{expand:%{jdkportablenameimpl -- %%{1}}},
     %define etcjavadir() %{expand:%{etcjavasubdir}/%{uniquesuffix --
     %{?1}}}, %define component %(echo %{name} | sed "s;-portable;;g")
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 6

java-1.8.0-openjdk-portable-slowdebug.x86_64: E: summary-too-long OpenJDK 8 Runtime Environment portable edition unoptimised with full debugging on
java-1.8.0-openjdk-portable-devel-fastdebug.x86_64: E: summary-too-long OpenJDK 8 Development Environment portable edition optimised with full debugging on
java-1.8.0-openjdk-portable-devel-slowdebug.x86_64: E: summary-too-long OpenJDK 8 Development Environment portable edition unoptimised with full debugging on
java-1.8.0-openjdk-portable-fastdebug.x86_64: W: only-non-binary-in-usr-lib
java-1.8.0-openjdk-portable-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-1.8.0-openjdk-portable.x86_64: W: only-non-binary-in-usr-lib
java-1.8.0-openjdk-portable-devel-fastdebug.x86_64: W: only-non-binary-in-usr-lib
java-1.8.0-openjdk-portable-devel-slowdebug.x86_64: W: only-non-binary-in-usr-lib
java-1.8.0-openjdk-portable-devel.x86_64: W: only-non-binary-in-usr-lib
java-1.8.0-openjdk-portable-fastdebug.x86_64: W: no-documentation
java-1.8.0-openjdk-portable-slowdebug.x86_64: W: no-documentation
java-1.8.0-openjdk-portable.x86_64: W: no-documentation
java-1.8.0-openjdk-portable-devel-fastdebug.x86_64: W: no-documentation
java-1.8.0-openjdk-portable-devel-slowdebug.x86_64: W: no-documentation
java-1.8.0-openjdk-portable-devel.x86_64: W: no-documentation
java-1.8.0-openjdk-portable-fastdebug.x86_64: E: no-changelogname-tag
java-1.8.0-openjdk-portable-slowdebug.x86_64: E: no-changelogname-tag
java-1.8.0-openjdk-portable.x86_64: E: no-changelogname-tag
java-1.8.0-openjdk-portable-devel-fastdebug.x86_64: E: no-changelogname-tag
java-1.8.0-openjdk-portable-devel-slowdebug.x86_64: E: no-changelogname-tag
java-1.8.0-openjdk-portable-devel.x86_64: E: no-changelogname-tag
java-1.8.0-openjdk-portable-fastdebug.x86_64: E: no-binary
java-1.8.0-openjdk-portable-slowdebug.x86_64: E: no-binary
java-1.8.0-openjdk-portable.x86_64: E: no-binary
java-1.8.0-openjdk-portable-fastdebug.x86_64: W: invalid-license-exception advertising
java-1.8.0-openjdk-portable-slowdebug.x86_64: W: invalid-license-exception advertising
java-1.8.0-openjdk-portable.x86_64: W: invalid-license-exception advertising
java-1.8.0-openjdk-portable-devel-fastdebug.x86_64: W: invalid-license-exception advertising
java-1.8.0-openjdk-portable-devel-slowdebug.x86_64: W: invalid-license-exception advertising
java-1.8.0-openjdk-portable-devel.x86_64: W: invalid-license-exception advertising
java-1.8.0-openjdk-portable-fastdebug.x86_64: E: description-line-too-long This package is optimised with full debugging. Install only as needed and remove ASAP.
java-1.8.0-openjdk-portable-slowdebug.x86_64: E: description-line-too-long This package is unoptimised with full debugging. Install only as needed and remove ASAP.
java-1.8.0-openjdk-portable-devel-fastdebug.x86_64: E: description-line-too-long This package is optimised with full debugging. Install only as needed and remove ASAP.
java-1.8.0-openjdk-portable-devel-slowdebug.x86_64: E: description-line-too-long This package is unoptimised with full debugging. Install only as needed and remove ASAP.
 6 packages and 0 specfiles checked; 16 errors, 18 warnings, 16 badness; has taken 1.3 s 



Requires
--------
java-1.8.0-openjdk-portable (rpmlib, GLIBC filtered):

java-1.8.0-openjdk-portable-devel (rpmlib, GLIBC filtered):

java-1.8.0-openjdk-portable-slowdebug (rpmlib, GLIBC filtered):

java-1.8.0-openjdk-portable-devel-slowdebug (rpmlib, GLIBC filtered):

java-1.8.0-openjdk-portable-fastdebug (rpmlib, GLIBC filtered):

java-1.8.0-openjdk-portable-devel-fastdebug (rpmlib, GLIBC filtered):



Provides
--------
java-1.8.0-openjdk-portable:
    java-1.8.0-openjdk-portable
    java-1.8.0-openjdk-portable(x86-64)

java-1.8.0-openjdk-portable-devel:
    java-1.8.0-openjdk-portable-devel
    java-1.8.0-openjdk-portable-devel(x86-64)

java-1.8.0-openjdk-portable-slowdebug:
    java-1.8.0-openjdk-portable-slowdebug
    java-1.8.0-openjdk-portable-slowdebug(x86-64)

java-1.8.0-openjdk-portable-devel-slowdebug:
    java-1.8.0-openjdk-portable-devel-slowdebug
    java-1.8.0-openjdk-portable-devel-slowdebug(x86-64)

java-1.8.0-openjdk-portable-fastdebug:
    java-1.8.0-openjdk-portable-fastdebug
    java-1.8.0-openjdk-portable-fastdebug(x86-64)

java-1.8.0-openjdk-portable-devel-fastdebug:
    java-1.8.0-openjdk-portable-devel-fastdebug
    java-1.8.0-openjdk-portable-devel-fastdebug(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/pmikova/fedora_repos/fedora-reviews/portable/portable-copy/2141984-java-1.8.0-openjdk-portable/srpm/java-1.8.0-openjdk-portable.spec	2022-11-28 11:47:43.574542661 +0100
+++ /home/pmikova/fedora_repos/fedora-reviews/portable/portable-copy/2141984-java-1.8.0-openjdk-portable/srpm-unpacked/java-1.8.0-openjdk-portable.spec	2022-11-11 09:49:47.000000000 +0100
@@ -1373,6 +1373,2 @@
 %endif
 
-%changelog
-* Fri Nov 11 2022 Jiri Andrlik <jandrlik> - 1:1.8.0.352.b08-2
- - new package
- - Related: rhbz#2141984


Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2141984
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: Java, SugarActivity, R, Perl, PHP, fonts, Haskell, Python, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 jandrlik 2022-12-05 13:43:03 UTC
https://src.fedoraproject.org/fork/jandrlik/rpms/java-1.8.0-openjdk/tree/fedoraportable

create separate build with current state, should be fully licensed and functional hopefully

Comment 4 jandrlik 2022-12-05 13:46:40 UTC
Spec URL: https://jandrlik.fedorapeople.org/java-1.8.0-openjdk-portable.spec
SRPM URL: https://jandrlik.fedorapeople.org/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.src.rpm
Description: package to split OpenJDK integration from build and binary itself.
Fedora Account System Username: jandrlik

updated files on fedorapeople

Comment 5 Petra Alice Mikova 2022-12-15 11:16:06 UTC
The version in changelog does not match version of the srpm, please fix

Comment 6 jandrlik 2022-12-21 15:36:09 UTC
Spec URL: https://jandrlik.fedorapeople.org/java-1.8.0-openjdk-portable.spec
SRPM URL: https://jandrlik.fedorapeople.org/java-1.8.0-openjdk-portable-1.8.0.352.b08-1.fc36.src.rpm

take a look, licenses should be in /lib/share/licenses/%{pkgdir}/ as three files

Comment 7 Fedora Update System 2023-02-03 15:54:24 UTC
FEDORA-2023-fa55d8a7f6 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fa55d8a7f6

Comment 8 Fedora Update System 2023-02-03 15:57:15 UTC
FEDORA-2023-fa55d8a7f6 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.